Subject: Re: Quick question about dts

From: Warner Losh <[email-masked]>
Date: Tue, 05 Aug 2008 08:41:03 -0600 (MDT)

From: Marco Stornelli <[email-masked]>
Subject: Re: Quick question about dts
Date: Tue, 05 Aug 2008 09:35:15 +0200

> M. Warner Losh ha scritto:
> > I have a .dts file that works with 2.6.18 (MV Pro 5.0).  I encode it
> > directly into the kernel image.  However, when I try to use it with my
> > 2.6.23, 2.6.24 or 2.6.25 kernel trees, it doesn't work at all.  In the
> > MV Pro 5.0 kernel, I hacked the startup sequence to store a pointer to
> > this blob in r3 so that it is moved in.  I've done something similar
> > in -current (for reasons that are too complicated to really explain
> > well, we can't do this via the normal boot loader mechanisms).  The
> > dtc complains that the interrupt-controller property is obsolete on
> > the chosen device.
> > 
> > Does any documentation exist for how dts has evolved?  I'd like to
> > forward port what I have without examining the .dts files from both
> > versions and guessing...
> > 
> > Warner
> > 
> > _______________________________________________
> > Linuxppc-embedded mailing list
> > [email-masked]
> > https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> > 
> 
> Check out the kernel documentation booting-without-of.txt of your version.

Thanks.  I've already read this for both versions of the kernel.  It
doesn't tell me how dts has evolved.  It just tells me, mostly, what
is current for each version.

I've poked a little at the diffs between different versions.  But
these diffs are only what, not why.

Warner